# Count Accounts

## Count Accounts

<mark style="color:blue;">`GET`</mark> `https://abc.hoola.vn/manage/api/users/count-total-user`

#### Query Parameters

| Name  | Type   | Description                    |
| ----- | ------ | ------------------------------ |
| token | string | Account Authentication Account |

{% tabs %}
{% tab title="200 Query successfully" %}

```javascript
// Response Code "00". Query successfully.
// Return data:
{
    "respCode": "00",
    "totalUser": 112,
    "msg": "Success"
}
```

{% endtab %}

{% tab title="400 Query is missing request parameters" %}

```javascript
// Response Code "02". No token provided.
// Return data:
{
    "respCode": "02",
    "totalUser": null,
    "msg": "No token"
}
```

{% endtab %}

{% tab title="401  Fail to verify your account" %}

```javascript
// Response Code "04". Token is invalid or has expired.
// Return data:
{
    "respCode": "04",
    "totalUser": null,
    "msg": "Invalid token || Token has expired"
}
```

{% endtab %}

{% tab title="403  Your account is not authorized to perform the query" %}

```javascript
// Response Code "05". Your account is not authorized to perform the query.
// Return data:
{
    "respCode": "05",
    "totalUser": null,
    "msg": "Your account does not have permission"
}
```

{% endtab %}

{% tab title="405 Wrong request method" %}

```javascript
// Response Code "01". Wrong request method.
// Return data:
{
    "respCode": "01",
    "totalUser": null,
    "msg": "Request method should be GET"
}
```

{% endtab %}

{% tab title="500 Server error" %}

```javascript
// Response Code "03". Server not able to authenticate your account.
// Return data:
{
    "respCode": "03",
    "totalUser": null,
    "msg": "Server not able to authenticate your account"
}
```

{% endtab %}
{% endtabs %}

Example:

```javascript
// GET:
https://abc.hoola.vn/manage/api/users/count-total-user?token=sdhg23797sdbv9186jdvk58
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hoola.vn/english/api/count-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
